﻿# Copyright (c) CloudAssert LLC. All rights reserved.
# Do-Remove-GalleryPackages.ps1 5.11.251.0 2016-11-04 10:37:08

#requires -Version 4.0
#requires -Module AzureRM
#requires -Module AzureStack

<#
.SYNOPSIS
   Publishes Azure Package (*.azpkg) files to Marketplace (Gallery) in Azure Stack environment.
#>
[CmdletBinding()]
param
(
    [Parameter(Mandatory=$true, HelpMessage="Root path of Powershell scripts.")]
    [string]$ScriptRoot
)

$AadTenantDirectoryName = "cloudassert.com"

$secpasswd = ConvertTo-SecureString "<replaceme>" -AsPlainText -Force
$AzCredential = New-Object System.Management.Automation.PSCredential("<replaceme>@cloudassert.com", $secpasswd)

$deploymentGUID = [guid]::NewGuid()

# Publish Gallery Items
$paramsPublishMarketplace = @{
    'AadTenantDirectoryName' = $AadTenantDirectoryName
    'azCredential' = $AzCredential
    'DeploymentId' = $deploymentGUID
    'AdminArmEndpoint' = 'https://adminmanagement.local1.azurestack.external1/'
}

cd $ScriptRoot
.\Remove-GalleryPackages.ps1 @paramsPublishMarketplace